### Method

# Camel NetworkService get_host_reachable

since: 3.8

#### Declaration [src]

    gboolean
    camel_network_service_get_host_reachable (
      CamelNetworkService* service
    )

#### Description [src]

Returns `TRUE` if `service` believes that the host pointed to by `CamelNetworkService:connectable` can be reached. This property is updated automatically as network conditions change.

Available since: 3.8

Gets property | `Camel.NetworkService:host-reachable`

#### Return value

Type: `gboolean`

Whether the host is reachable.